GET DonationCampaigns

Overview

Request

GET /DonationCampaigns?agentId=[agentId]&currencyCode=[currencyCode]&salesModel=[salesModel]

Request Information

Request Parameters

Name
Type
Requirement
Description
agentId
String
Mandatory
Agent ID
currencyCode
String
Mandatory
Currency Code
salesModel
String
Mandatory
Sales Model

Response Information

Response Properties

Name
Type
Description
campaigns
List<DonationCampaign>
List of available donation campaigns

Campaigns

Name
Type
Description
camapaignId
String
Unique identifier of the donation campaign
campaignName
String
Name of the donation campaign
causeName
String
Name of the cause associated with the campaign
bannerUrl
String
URL of the campaign banner image
logoUrl
String
URL of the campaign logo image
nonprofitName
String
Name of the nonprofit organisation
nonprofitDescription
String
Description of the nonprofit organisation
nonprofitUrl
String
URL of the nonprofit organisation's website
termsAndConditionsUrl
String
URL of the terms and conditions for the campaign
donation
Donation
Donation configuration for the campaign

Donation

Name
Type
Description
currencyCode
String
ISO 4217 currency code for the donation
donationType
String
Type of donation - 'ROUNDUP' rounds the payment up to the nearest unit, 'FIXEDAMOUNTS' presents predefined amounts to choose from
maxRoundupAmount
Decimal
Maximum amount allowed for a round-up donation
donationValues
List<Nullable`1>
List of predefined donation amounts available for selection

Response Codes

HTTP status code
Description
200 OK
The resource was retrieved successfully
400 Bad Request
The resource was malformed
401 Unauthorized
Missing or invalid API key
404 Not Found
The specified resource was not found
500 Internal Server Error
An unexpected error occurred on the API server

Response Example

{
  "campaigns": [
    {
      "camapaignId": "CAMP-001",
      "campaignName": "Save The Rainforest 2024",
      "causeName": "Rainforest Conservation",
      "bannerUrl": "https://example.com/banner.jpg",
      "logoUrl": "https://example.com/logo.jpg",
      "nonprofitName": "Rainforest Trust",
      "nonprofitDescription": "A nonprofit dedicated to rainforest conservation.",
      "nonprofitUrl": "https://example.com",
      "termsAndConditionsUrl": "https://example.com/terms",
      "donation": {
        "currencyCode": "AUD",
        "donationType": "ROUNDUP",
        "maxRoundupAmount": 5.0,
        "donationValues": [
          {},
          {}
        ]
      }
    },
    {
      "camapaignId": "CAMP-001",
      "campaignName": "Save The Rainforest 2024",
      "causeName": "Rainforest Conservation",
      "bannerUrl": "https://example.com/banner.jpg",
      "logoUrl": "https://example.com/logo.jpg",
      "nonprofitName": "Rainforest Trust",
      "nonprofitDescription": "A nonprofit dedicated to rainforest conservation.",
      "nonprofitUrl": "https://example.com",
      "termsAndConditionsUrl": "https://example.com/terms",
      "donation": {
        "currencyCode": "AUD",
        "donationType": "ROUNDUP",
        "maxRoundupAmount": 5.0,
        "donationValues": [
          {},
          {}
        ]
      }
    }
  ]
}